import { Base, IEnumerable$1, IEnumerator$1, IEnumerator, Type } from "igniteui-angular-core";
import { KeyValuePair$2 } from "igniteui-angular-core";
import { Comparer$1 } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class SortedList$2<TKey, TValue> extends Base implements IEnumerable$1<KeyValuePair$2<TKey, TValue>> {
    static $t: Type;
    protected $tKey: Type;
    protected $tValue: Type;
    private _f;
    private _g;
    private _i;
    constructor($tKey: Type, $tValue: Type, a: number);
    constructor($tKey: Type, $tValue: Type, a: number, b: Comparer$1<TKey>);
    constructor($tKey: Type, $tValue: Type, a: number, ..._rest: any[]);
    private _getEnumerator;
    getEnumerator(): IEnumerator$1<KeyValuePair$2<TKey, TValue>>;
    getEnumeratorObject(): IEnumerator;
    _m(a: TKey, b: TValue): void;
    _b(a: TKey): boolean;
    _l(a: TKey): number;
    _c(a: TKey): boolean;
    _n(a: number): void;
    _d(a: TKey, b: TValue): {
        ret: boolean;
        p1: TValue;
    };
    readonly _e: Comparer$1<TKey>;
    readonly _k: number;
    _item(a: TKey, b?: TValue): TValue;
    readonly _h: List$1<TKey>;
    readonly _j: List$1<TValue>;
}
